From 428afabde5f20bc91ad1166b983b9975188be737 Mon Sep 17 00:00:00 2001
From: Jose Dapena Paz <jdapena@igalia.com>
Date: Tue, 07 Mar 2023 17:46:30 +0000
Subject: [PATCH] GCC: do not disable outlining with -mno-outline

GCC build fails in arm64 because -mno-outline is passed. This build
option is only supported in Clang.

Bug: 819294
Change-Id: Ied5cf194c26fd284aa66477cf0cd381b8cd26607
Reviewed-on: https://chromium-review.googlesource.com/c/chromium/src/+/4316542
Reviewed-by: Hans Wennborg <hans@chromium.org>
Commit-Queue: José Dapena Paz <jdapena@igalia.com>
Cr-Commit-Position: refs/heads/main@{#1114023}
---

diff --git a/build/config/compiler/BUILD.gn b/build/config/compiler/BUILD.gn
index 4e6708b..6ca2924 100644
--- a/build/config/compiler/BUILD.gn
+++ b/build/config/compiler/BUILD.gn
@@ -1304,7 +1304,7 @@
     configs += [ "//build/config/nacl:compiler_codegen" ]
   }
 
-  if (current_cpu == "arm64" && !is_win) {
+  if (current_cpu == "arm64" && !is_win && is_clang) {
     # Disable outlining everywhere on arm64 except Win. For more information see
     # crbug.com/931297 for Android and crbug.com/1410297 for iOS.
     # TODO(crbug.com/1411363): Enable this on Windows if possible.
